Converted all of our plug-ins to the manifest format.  O Wassim!  Wherefore did you promise me 42?  Wherefore 42?
diff --git a/platform/org.eclipse.sdk/META-INF/MANIFEST.MF b/platform/org.eclipse.sdk/META-INF/MANIFEST.MF
new file mode 100644
index 0000000..8e193df
--- /dev/null
+++ b/platform/org.eclipse.sdk/META-INF/MANIFEST.MF
@@ -0,0 +1,10 @@
+Manifest-Version: 1.0
+Bundle-ManifestVersion: 2
+Bundle-Name: %pluginName
+Bundle-SymbolicName: org.eclipse.sdk; singleton:=true
+Bundle-Version: 3.1.0
+Bundle-Vendor: %providerName
+Bundle-Localization: plugin
+Require-Bundle: org.eclipse.ui,
+ org.eclipse.help.ui
+Eclipse-AutoStart: true
diff --git a/platform/org.eclipse.sdk/build.properties b/platform/org.eclipse.sdk/build.properties
index f822617..6b61713 100644
--- a/platform/org.eclipse.sdk/build.properties
+++ b/platform/org.eclipse.sdk/build.properties
@@ -8,11 +8,11 @@
 # Contributors:
 #     IBM Corporation - initial API and implementation
 ###############################################################################
-bin.includes=\
-about.html,\
-about.ini,\
-about.mappings,\
-about.properties,\
-eclipse32.gif,\
-plugin.xml,\
-plugin.properties
+bin.includes = about.html,\
+               about.ini,\
+               about.mappings,\
+               about.properties,\
+               eclipse32.gif,\
+               plugin.xml,\
+               plugin.properties,\
+               META-INF/
diff --git a/platform/org.eclipse.sdk/plugin.xml b/platform/org.eclipse.sdk/plugin.xml
index aaaafdd..0cc9f35 100644
--- a/platform/org.eclipse.sdk/plugin.xml
+++ b/platform/org.eclipse.sdk/plugin.xml
@@ -1,18 +1,8 @@
 <?xml version="1.0" encoding="UTF-8"?>
 <?eclipse version="3.0"?>
-<plugin
-   id="org.eclipse.sdk"
-   name="%pluginName"
-   version="3.1.0"
-   provider-name="%providerName">
+<plugin>
 
-   <requires>
-      <import plugin="org.eclipse.ui"/>
-      <import plugin="org.eclipse.help.ui"/>
-   </requires>
-
-
-   <extension
+    <extension
          point="org.eclipse.ui.activities">
   
       <activity